Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 786876 - app-dicts/verbiste-0.1.44 fails to compile with gcc-11
Summary: app-dicts/verbiste-0.1.44 fails to compile with gcc-11
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-04-29 16:12 UTC by Agostino Sarubbo
Modified: 2021-09-19 16:43 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,35.93 KB, text/plain)
2021-04-29 16:12 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2021-04-29 16:12:14 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: app-dicts/verbiste-0.1.44 fails to compile with gcc-11.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This machine uses GCC-11: https://gcc.gnu.org/gcc-11/porting_to.html
Comment 1 Agostino Sarubbo gentoo-dev 2021-04-29 16:12:16 UTC
Created attachment 703971 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2021-04-29 16:12:18 UTC
Possible context of error(s):

../../src/verbiste/FrenchVerbDictionary.h:96:41: error: ISO C++17 does not allow dynamic exception specifications
Comment 3 Rémi Cardona gentoo-dev 2021-05-24 21:48:42 UTC
Yep, got it too. I'll take a swing at it ASAP.
Comment 4 Larry the Git Cow gentoo-dev 2021-06-02 22:15:01 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e16785f31d7db73b55b4f57b36cec94192444669

commit e16785f31d7db73b55b4f57b36cec94192444669
Author:     Rémi Cardona <remi@gentoo.org>
AuthorDate: 2021-06-02 22:07:07 +0000
Commit:     Rémi Cardona <remi@gentoo.org>
CommitDate: 2021-06-02 22:14:52 +0000

    app-dicts/verbiste: bump to 0.1.47
    
    Closes: https://bugs.gentoo.org/786876
    Package-Manager: Portage-3.0.19, Repoman-3.0.3
    Signed-off-by: Rémi Cardona <remi@gentoo.org>

 app-dicts/verbiste/Manifest               |  1 +
 app-dicts/verbiste/verbiste-0.1.47.ebuild | 61 +++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)